
Redmine - Defect #21534

Backtrace cleaner should not clean plugin paths

2015-12-15 21:03 - Ondřej Ezr

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Code cleanup/refactoring Estimated time: 0.00 hour

Target version: 3.2.1   

Resolution: Fixed Affected version:  

Description

Rails.backtrace_cleaner.class::APP_DIRS_PATTERN

Associated revisions

Revision 14987 - 2015-12-20 13:25 - Jean-Philippe Lang

Backtrace cleaner should not clean plugin paths (#21534).

Revision 15022 - 2016-01-09 10:13 - Jean-Philippe Lang

Merged r14987 (#21534).

History

#1 - 2015-12-20 13:27 - Jean-Philippe Lang

- Tracker changed from Patch to Defect

- Subject changed from Backtrace cleaner cleans plugin paths to Backtrace cleaner should not clean plugin paths

- Category set to Code cleanup/refactoring

- Status changed from New to Resolved

- Assignee set to Jean-Philippe Lang

- Target version set to 3.2.1

- Resolution set to Fixed

Fixed in r14987. The proposed patch was triggering warnings a startup (warning: already initialized constant

Rails::BacktraceCleaner::APP_DIRS_PATTERN).

#2 - 2016-01-09 10:13 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Files

backtrace_pattern.diff 586 Bytes 2015-12-15 Ondřej Ezr
